# Gimp.Procedure.add_gradient_aux_argument

    @accepts(Gimp.Procedure, unicode, unicode, unicode, Gimp.Gradient, bool, GObject.ParamFlags)
    @returns(none)
    def add_gradient_aux_argument(self, name, nick, blurb, default_value, default_to_context, flags):
        # Python wrapper for gimp_procedure_add_gradient_aux_argument()

Add a new Gimp.Gradient auxiliary argument to self.

Since 3.0

self

  the Gimp.Procedure.

name

  the name of the argument to be created.

nick

  the label used in #GimpProcedureDialog.

blurb

  a more detailed help description.

default_value

  default value

default_to_context

  Use the context's gradient as default value.

flags

  argument flags.